Multiterm 2011: Java warning when trying to edit term
Thread poster: lauradiel

lauradiel
Australia
Local time: 16:22
Member (2009)
German to Italian
+ ...
Oct 26, 2014

When I try to edit a term, the page goes blank and a warning appears: "Application blocked by Java security. For security, applications must now meet the requirements for the High or Very High security settings, or be part of the Exception Site List, to be allowed to run. Your security settings have blocked an application from running due to missing a "Permissions" manifest attribute in the main jar". I have Java version 8 update 25. I have searched the Web but I couldn't find a solution. Does anybody know how I can fix it?
Thank you!

[Modificato alle 2014-10-26 09:00 GMT]

[Modificato alle 2014-10-26 10:39 GMT]


Direct link Reply with quote
 

Miguel Carmona  Identity Verified
United States
Local time: 23:22
English to Spanish
Multiterm 2011 and Java versions Oct 26, 2014

lauradiel wrote:

When I try to edit a term, the page goes blank and a warning appears: "Application blocked by Java security. For security, applications must now meet the requirements for the High or Very High security settings, or be part of the Exception Site List, to be allowed to run. Your security settings have blocked an application from running due to missing a "Permissions" manifest attribute in the main jar". I have Java version 8 update 25. I have searched the Web but I couldn't find a solution. Does anybody know how I can fix it?


For many Studio 2011 users, the only Java version that has worked out has been the very old Java 6 - 24, which I think was the latest one when Studio 2011 was launched.

So much so that if you request a support ticket, after you got such support from SDL, you will probably end up with such version of Java (6 - 24) installed on your computer.

Due to the known problems when updating Studio 2011, to prevent such problems, when I installed it I disabled automatic updates on both, Studio and Java, so I still have Java 6 - 24, but Studio has been working with only minor annoyances.

The problem with uninstalling Java 8 - 25 and installing 6 - 24 instead is that your computer will be exposed to security risks on the Internet, but you will get Multiterm working again.


Direct link Reply with quote
 

lauradiel
Australia
Local time: 16:22
Member (2009)
German to Italian
+ ...
TOPIC STARTER
Now I get another error message Oct 26, 2014

Hi Miguel
thank you very much for your reply. I have tried to install Java 6 - 24 but it was automatically upgraded to Java 6 - 26, I don't know why, and now I get another error message "Script error: Unable to get property "parentNode" of undefined or null reference". "I disabled automatic updates on both, Studio and Java": do you mean that you haven't installed the SDL service packs? I have just installed the SP2, maybe I should get rid of it. It's so annoying!


Direct link Reply with quote
 

Miguel Carmona  Identity Verified
United States
Local time: 23:22
English to Spanish
Multiterm 2011 problems Oct 26, 2014

Hi Laura,

I know, it is extremely annoying, when each "solution" leads you to another problem, and so on.

By the way, I just checked and I actually have Studio 2011 SP2R - 10.4.3109.2, but the Java I have is Java 6 - 24, both with automatic update disabled.

I wish you good luck.

[Edited at 2014-10-26 22:08 GMT]


Direct link Reply with quote
 

SDL Community  Identity Verified
United Kingdom
Local time: 08:22
English
If you cannot resolve this... Oct 26, 2014

... please log a support case through the solution finder so an engineer can help you. Go to the Knowledgebase;

http://kb.sdl.com

Then go to the tab called Solution Finder ( http://kb.sdl.com/?cid=23&tab=sf ) and now go here;

JAVA related issues with SDL MultiTerm
- I have SDL MultiTerm 2011/2014
-- I can no longer add or edit terms, or I get an error message when adding or editing terms
--- I have read the article and followed the instructions but I still have a problem

Pick the correct route as above and you will be presented with a form that you can fill in to generate a support request and you will be contacted, normally within a day.

Also use the Chrome browser to log the case if you have it; you'll get more success in completing the form; and make sure your email address is entered correctly or nobody will be able to get back in touch with you.

Regards

Paul


Direct link Reply with quote
 

lauradiel
Australia
Local time: 16:22
Member (2009)
German to Italian
+ ...
TOPIC STARTER
Problem solved Nov 2, 2014

I have reinstalled SP1 and Java 6 - 24 and now it's working. Thanks for your help

Direct link Reply with quote
 

Miguel Carmona  Identity Verified
United States
Local time: 23:22
English to Spanish
... Nov 2, 2014

I am glad you got Multiterm working again.

It feels great, after the ordeal one has gone through, doesn't it?


Direct link Reply with quote
 

Jitka Komarkova (Mgr.)  Identity Verified
Czech Republic
Local time: 08:22
Member (2013)
English to Czech
+ ...
Having both Java 6 Update 24 and the newest Java version installed Nov 3, 2014

Maybe to add something more for others having similar problems...

lauradiel wrote:

I have reinstalled SP1 and Java 6 - 24 and now it's working. Thanks for your help



I have Windows 7, Trados Studio 2011, SP2.
I had a similar problem and what actually appeared to be a problem was that (as I kept receiving messages to update to the newest version) when completing Java update with removing previous versions - which was a mistake - the 6/24 version was removed and I could not use Multiterm.
So when you finish Java update, there is a tick box saying something like "if you remove previous java updates from the computer you will not be able to you certain applications"...
so you should not proceed to removing previous versions and check in the list of programmes that both versions are there...
You also have to disable automatic update for this version of Java.

It came as a surprise to me that I can have both versions installed in my computer and they both live their own life. So 6/24 looks after my Multiterm functions (which now works perfectly) while the newest Java version 8/25 takes care of other things.

[Edited at 2014-11-03 15:31 GMT]


Direct link Reply with quote
 

JoelD  Identity Verified
Local time: 15:22
Japanese to English
JAVA Wins Again! I have the same problem! Nov 4, 2014

It seems my only Proz forum posts come every time the latest Java update screws up my Multiterm Settings. I have had the same Java issues every since Studio 2009. Can SDL please stop using Java?

Direct link Reply with quote
 

SDL Community  Identity Verified
United Kingdom
Local time: 08:22
English
Make sure you use... Nov 4, 2014

... the latest article on this KB#5589 to resign the application.

Good news is that is a few weeks we will release SP2 for Studio 2014 and MultiTerm 2014. The reliance on Java has been completely removed from these products.

Regards

Paul


Direct link Reply with quote
 

William Padina
Romania
Local time: 09:22
English to Romanian
+ ...
Hello everybody Apr 7, 2015

The answer in "KB #5589 | Error message when adding or editing terms after October 27, 2014: Application Blocked by security settings" was helpful.
I have Trados Studio 11.
I am using now Java 8 and it seems that Java 6 is no longer necessary.
Thank you Paul.

[Edited at 2015-04-07 19:16 GMT]


Direct link Reply with quote
 


To report site rules violations or get help, contact a site moderator:


You can also contact site staff by submitting a support request »

Multiterm 2011: Java warning when trying to edit term

Advanced search







BaccS – Business Accounting Software
Modern desktop project management for freelance translators

BaccS makes it easy for translators to manage their projects, schedule tasks, create invoices, and view highly customizable reports. User-friendly, ProZ.com integration, community-driven development – a few reasons BaccS is trusted by translators!

More info »
TM-Town
Manage your TMs and Terms ... and boost your translation business

Are you ready for something fresh in the industry? TM-Town is a unique new site for you -- the freelance translator -- to store, manage and share translation memories (TMs) and glossaries...and potentially meet new clients on the basis of your prior work.

More info »



Forums
  • All of ProZ.com
  • Term search
  • Jobs
  • Forums
  • Multiple search